@charset "UTF-8";
/********************************************************************************

comp-header.css　ヘッダーコンポーネント用css

********************************************************************************/
/*============================================================
 css変数
*============================================================*/
:root {
	/* --comp-header-max-width: var(--common-inner-max-width-wide); */
	--comp-header-inner-padding: 20px;
	/* --comp-header-main-color: var(--common-color-main); */
	/* --comp-header-sub-color: var(--common-color-sub); */
	/* --comp-header-background-color: var( --common-color-background1); */
	/* --gnav-menu-font-family: var(--common-font-family); */
    /* --gnav-menu-active-color: var(--common-color-accent); */
}

/*============================================================
 PC SP 表示/非表示切り替え
*============================================================*/
.forPCHeader {
    display: inherit;
}
.parts-btn.forPCHeader {
    display: block;
}
.forSPHeader {
	display: none;
}

/*============================================================
 追従ヘッダー
*============================================================*/
#fixed-header {
	/* display: none; */
    width: 100%;
	background-color: #ffffff;

	/* フィルターがネストしていると子孫要素側のフィルターが効かないので、ドロップダウンのサブメニューがある場合はフィルターなしとする */
	background-color: #ffffffcc;
	backdrop-filter: blur(5px);
	-webkit-backdrop-filter: blur(5px);

	position: fixed;
    z-index: 9999;
    top: -100%;
    left: 0;
    transition: top 0.3s;

	transform: translateZ(0);	/* レンダリングバグ防止おまじない */
}
/* スクロール時
---------------------------------------- */
#fixed-header.scrolled {
	/* display: block; */
    top: 0;
}
/* 最初から追従
---------------------------------------- */
#fixed-header[data-fixed="ini"] {
	display: block;
    top: 0;
    left: 0;
    transition: unset;
}

/* スクロール時高さ抑制（PC表示のみ）
---------------------------------------- */
@media screen and (min-width: 1240px) {
	#fixed-header .gnav {
		transition: all 0.3s;
	}
	#fixed-header.scrolled .gnav {
		padding: 8px 40px 12px 0;
	}
	#fixed-header.scrolled .gnav .gnav-main .gnav-left .gnav-logo {
		width: 260px;
	}
	#fixed-header.scrolled .gnav .gnav-main .gnav-right .gnav-right-layout {
		height: 80px;
	}
	#fixed-header.scrolled .gnav .gnav-main .gnav-right .parts-btn[data-name="header"] {
		--min-height: 44px;
	}
}

#fixed-header .gnav .gnav-logo.white {
	display: none !important;
}

/*============================================================
 Gナビ
*============================================================*/
.gnav {
	/* max-width: var(--comp-header-max-width); */
	/* padding: 16px var(--comp-header-inner-padding) 14px var(--comp-header-inner-padding); */
	padding: 20px 40px 30px 0;
	margin: 0 auto;
}
.gnav .gnav-main {
	padding: 0;
	position: relative;
}
.gnav .gnav-main .gnav-main-layout {
	display: flex;
    flex-wrap: wrap;
	justify-content: space-between;
	align-items: center;
}

/* ロゴ
---------------------------------------- */
.gnav .gnav-main .gnav-left .gnav-logo {
    width: fit-content;
    margin-bottom: 0;
    line-height: unset;
}
.gnav .gnav-main .gnav-left .gnav-logo a {
	display: block;
	line-height: 0;
}
.gnav .gnav-main .gnav-left .gnav-logo img {
	vertical-align: middle;
}
/* メニューレイアウト
---------------------------------------- */
.gnav .gnav-main .gnav-right .gnav-right-layout {
    display: flex;
    /* flex-wrap: wrap;
	justify-content: flex-end;
	align-items: flex-start; */
	flex-direction: column-reverse;
	align-items: flex-end;
    justify-content: space-between;
    /* gap: 40px 0; */
    height: 110px;
}

/* メニューリスト
---------------------------------------- */
.gnav .gnav-main .gnav-right .menu-list {
    display: flex;
    flex-wrap: wrap;
	gap: 0 40px;
}
.gnav .gnav-main .gnav-right .menu-list li {
	/* letter-spacing: 0.04em; */
	/* サブメニューを100vwにする場合はposition削除 */
	position: relative;		
}
.gnav .gnav-main .gnav-right .menu-list > li {
    /* padding-bottom: 4px;
    border-bottom: solid 2px transparent; */
}
.gnav .gnav-main .gnav-right .menu-list li a {
	display: inline-block;
	margin: 0;
	font-weight: 500;
	font-size: 14px;
	line-height: 100%;
	position: relative;
}
.gnav .gnav-main .gnav-right .menu-list li a::after {
    display: block;
	content: "";
    position: absolute;
    bottom: -6px;
	left: 0;
    width: 0;
    height: 2px;
    background-color: var(--common-color-text);
	transition: width 0.3s ease-in-out;
}
.gnav .gnav-main .gnav-right .menu-list li a:hover::after {
    width: 100%;
}
.gnav .gnav-main .gnav-right .menu-list li.current a::after {
    width: 100%;
}

/* サブメニューがある場合 */
.gnav .gnav-main .gnav-right .menu-list > li:has(.sub-menu-wrap) > a::after {
	display: inline-block;
	content: "";
	width: 16px;
	height: 16px;
	background-image: url(../../library/images/common/icon-gnav-arrow.svg);
	background-repeat: no-repeat;
	background-position: center;
	background-size: 16px auto;
	vertical-align: top;
	margin-left: 4px;
}
.gnav .gnav-main .gnav-right .menu-list li .sub-menu-wrap {
	display: none;
    position: absolute;
    left: 50%;
    top: calc(100% + 3px);
    width: max-content;
	max-width: 480px;
    transform: translateX(-50%);
    -webkit-transform: translateX(-50%);
    background-color: #fff;
	border-top: solid 1px #CECECE;
	opacity: 0;

	/* サブメニューを100vwにする場合はtopとwidth置き換え、max-width削除 */
    /* top: 100%;
    width: 100vw; */
}
.gnav .gnav-main .gnav-right .menu-list li .sub-menu-list {
	display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    gap: 8px;
    padding: 16px;
}
.gnav .gnav-main .gnav-right .menu-list li .sub-menu-list a {
	width: 100%;
	padding: 16px 0;
}

.gnav .gnav-main .gnav-right .menu-list li:has(.sub-menu-wrap):hover,
.gnav .gnav-main .gnav-right .menu-list li:has(.sub-menu-wrap):focus-within {
	border-bottom-color: var(--common-color-focus);
}
.gnav .gnav-main .gnav-right .menu-list li:hover .sub-menu-wrap,
.gnav .gnav-main .gnav-right .menu-list li:focus-within > .sub-menu-wrap {
	display: block;
    animation-name: gnav-sub;
    animation-fill-mode: forwards;
    animation-duration: 0.3s;
}
@keyframes gnav-sub {
    0% {
		opacity: 0;
    }

    100% {
		opacity: 1;
    }
}
/* ボタンリスト
---------------------------------------- */
.gnav .gnav-main .gnav-right .btn-list {
    display: flex;
    flex-wrap: wrap;
	align-items: center;
	gap: 0 30px;
}
.gnav .gnav-main .gnav-right .btn-list .block-sns-list {
    display: flex;
    flex-wrap: wrap;
	align-items: center;
	gap: 0 30px;
}
.gnav .gnav-main .gnav-right .btn-list .block-sns-list a {
	display: inline-block;
}

/* Gナビ 2ndメニューリスト
---------------------------------------- */
.gnav .gnav-2nd {
}
.gnav .gnav-2nd .menu-list {
    display: flex;
    flex-wrap: wrap;
	justify-content: flex-end;
	gap: 24px;
	padding: 7px;
}
.gnav .gnav-2nd .menu-list li {
	font-weight: 500;
    font-size: var(--rem16px);
    line-height: 100%;
    letter-spacing: 0.04em;
}
.gnav .gnav-2nd .menu-list li a {
	/* text-decoration: underline; */
}

/*============================================================
 固定ヘッダー
*============================================================*/
/* 共通設定
---------------------------------------- */
#indiv-header {
    width: 100%;
    /* background-color: transparent; */
	background-color: #ffffffcc;
	backdrop-filter: blur(5px);
	-webkit-backdrop-filter: blur(5px);	
    position: absolute;
    z-index: 9999;
    top: 0;
    left: 0;
}
/* スクロール時
---------------------------------------- */
#indiv-header.scrolled {
	display: none;
}

/* 個別設定(トップページ)
---------------------------------------- */
#page-top #indiv-header {
	/* background-color: transparent; */
}
/* #page-top #indiv-header .gnav-logo svg > * {
    fill: #fff;
} */
#page-top #indiv-header .gnav .gnav-logo.default {
	display: block;
}
#page-top #indiv-header .gnav .gnav-logo.white {
	display: none;
}

#page-top #indiv-header .gnav-logo img {
	/* opacity: 0; */
}
#page-top #indiv-header .gnav-logo a {
	/* background-image: url(../../library/images/common/logo-white.svg);
	background-repeat: no-repeat;
	background-position: center;
	background-size: cover; */
}
#page-top #indiv-header .menu-list > li > a {
	/* color: #fff; */
	transition: color 0.5s;
}
#page-top #indiv-header .menu-list .sub-menu-list {
	background-color: #000000;
}
#page-top #indiv-header .menu-list > li:has(.sub-menu-wrap) > a::after {
	background-image: url(../../library/images/common/icon-gnav-arrow-white.svg);
}

/* スライダー画像上部がダークな場合、ロゴ・テキストを白にする対応
   ※PC・タブレット幅TOPページの、固定ヘッダーのみ連動
   　=追従ヘッダーは連動させない
   　=固定ヘッダーであってもSP幅は連動させない
   　（SP表示はMV上にヘッダー高さと同じマージンを設けるため）
---------------------------------------- */
/* 追従ヘッダーは連動させない */
#fixed-header .gnav .gnav-logo.white {
	display: none !important;
}

/* TOPページの固定ヘッダーPC表示のみ連動 */
@media screen and (min-width: 768px) {
	#page-top #indiv-header .gnav.is-white .gnav-logo.default {
		display: none;
	}
	#page-top #indiv-header .gnav.is-white .gnav-logo.white {
		display: block;
	}
	#page-top #indiv-header .gnav.is-white .menu-list > li > a {
		color: #fff;
	}
	#page-top #indiv-header .gnav.is-white .gnav-main .gnav-right .menu-list li a::after {
		background-color: #fff;
	}
	#page-top #indiv-header .parts-btn[data-name="header"] {
		transition: background-color 0.5s, color 0.5s;
	}
	#page-top #indiv-header .gnav.is-white .parts-btn[data-name="header"] {
		--background: #fff;
		--hover-background: #fff;
		--color: #000;
		--hover-color: #000;
	}
}

/*============================================================
 オーバーレイ
*============================================================*/
.overlay {
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.4);
	position: fixed;
	top: 0;
	left: 0;
	z-index: 99999;
	display: none;
}
/* OPEN時
---------------------------------------- */
.hamburger-menu-open .overlay {
    /* display: block; */
}

/*============================================================
 ハンバーガー
*============================================================*/
/* ボタン(span)
---------------------------------------- */
.hamburger {
	background-color: transparent;
	/* border-radius: 8px; */
    padding: 0;
    overflow: hidden;
}
.hamburger:hover {
	cursor: pointer;
}
.hamburger .hamburger-bar {
	display: block;
	width: 60px;
	aspect-ratio: 1 / 1;
	position: relative;
	background-color: var(--common-color-black);
	/* border-radius: unset; */
}
.hamburger .hamburger-bar span {
	display: block;
	width: 45%;
	height: 2px;
	border-radius: 100px;
	background-color: var(--common-color-white);
	position: absolute;
	left: calc(50% - (45% / 2));
	transform: rotate(0deg);
	transform-origin: center;
	transition: background-color 0.5s ease-in-out, transform 0.5s ease-in-out, top 0.5s ease-in-out;
}
.bg-dark .hamburger .hamburger-bar span {
	background-color: var(--common-color-white);
}
/* 2本線の場合 */
.hamburger .hamburger-bar span:nth-child(1) {
	top: calc(50% - 10% - 1px);
}
.hamburger .hamburger-bar span:nth-child(2) {
	top: calc(50% + 10% - 1px);
}
/* 3本線の場合 */
.hamburger .hamburger-bar[data-bar-cnt="3"] span:nth-child(1) {
	top: calc(50% - 15% - 1px);
}
.hamburger .hamburger-bar[data-bar-cnt="3"] span:nth-child(2) {
	top: calc(50% - 1px);
}
.hamburger .hamburger-bar[data-bar-cnt="3"] span:nth-child(3) {
	top: calc(50% + 15% - 1px);
}

/* OPEN時
---------------------------------------- */
.hamburger-menu-open .hamburger .hamburger-bar span {
	top: calc(50% - 1px) !important;
}
/* 2本線の場合 */
.hamburger-menu-open .hamburger .hamburger-bar span:nth-child(1) {
	transform: rotate(-45deg);
}
.hamburger-menu-open .hamburger .hamburger-bar span:nth-child(2) {
	transform: rotate(45deg);
}
/* 3本線の場合 */
.hamburger-menu-open .hamburger .hamburger-bar[data-bar-cnt="3"] span:nth-child(3) {
	background-color: transparent;
}


/*============================================================
 ハンバーガーメニュー
*============================================================*/
/* 本体挙動
---------------------------------------- */
/* CLOSE時 */
#hamburger-menu {
	display: none;
	width: 100%;
	height: 100%;
	padding: var(--common-header-height) 0 48px 0;
	background-color: #fff;
	position: fixed;
	top: 0;
	right: -100%;
	z-index: 99999;
	/* transition: right 0.5s 0s ease-in-out; */
}
/* OPEN時 */
.hamburger-menu-open #hamburger-menu {
	display: block;
}

/* 内部設定
---------------------------------------- */
#hamburger-menu #hamburger-menu-header {
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
}
#hamburger-menu #hamburger-menu-header .btn-list {
	display: none;
}
#hamburger-menu .hamburger-menu-inner {
	height: calc(var(--common-vh) - var(--common-header-height) - 48px - 48px);
	padding: 24px;
	overflow: auto;
}
#hamburger-menu .hamburger-menu-wrap {
	display: flex;
	flex-wrap: wrap;
	flex-direction: column;
	gap: 24px;
	max-width: 640px;
    margin: 0 auto;
}
#hamburger-menu .hamburger-menu-list {
	display: flex;
	flex-wrap: wrap;
	flex-direction: column;
	gap: 8px;
}
#hamburger-menu .hamburger-menu-list li {
}
#hamburger-menu .hamburger-menu-list li a {
	display: block;
	font-weight: 500;
	font-size: var(--rem16px);
	line-height: 160%;
	text-align: center;
	padding: 11px 8px;
}
#hamburger-menu .hamburger-menu-list .sub-menu-wrap {
	display: none;
}
#hamburger-menu .btn-list {
	margin-top: 20px;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	gap: 16px;
}
#hamburger-menu .block-sns-list {
	margin-top: 20px;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	gap: 16px;
}
#hamburger-menu .btn-list .parts-btn {
	display: block;
	--margin: 0;
}

/* ハンバーガーメニュー内Gナビ */
#hamburger-menu .gnav .gnav-main .gnav-right .menu-list {
	display: none;
}

/*_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/
 Tablet
_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/*/
@media screen and (max-width: 1239px) {
	/*============================================================
	 PC SP 表示/非表示切り替え
	*============================================================*/
	.forPCHeader {
		display: none;
	}
	.forSPHeader {
		display: inherit;
	}

	/*============================================================
	 Gナビ
	*============================================================*/
	.gnav {
		padding: 0;
	}
	.gnav .gnav-main {
	}
	.gnav .gnav-main .gnav-right .menu-list,
	.gnav .gnav-main .gnav-right .btn-list {
		display: none;
	}

	/* ロゴ
	---------------------------------------- */
	.gnav .gnav-main .gnav-left .gnav-logo {
		height: 60px;
	}
	.gnav .gnav-main .gnav-left .gnav-logo img {
		width: auto;
		height: 60px;
	}

	/* メニュー
	---------------------------------------- */
	.gnav .gnav-main .gnav-right .gnav-right-layout {
		gap: 0 8px;
		height: 60px;
	}


}


/*_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/
 SP
_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/*/
@media screen and (max-width: 767px) {

}


